using System;
using System.Data;
using Microsoft.Data.Odbc;

namespace	ConsoleApplication1
{
  ///	<summary>
  ///	Summary	description	for	Class1.
  ///	</summary>
  class	Class1
  {
    static string user = "root";
    static string password = "";
    static string server = "localhost";

    static OdbcCommand connect() 
    {
      string c = "Driver={MySQL ODBC 3.51 Driver};Server=" + server + ";Uid=" + user
        + ";Pwd=" + password + ";OPTION=3";
      OdbcConnection conn = new OdbcConnection(c);
      conn.Open();
      OdbcCommand cmd = conn.CreateCommand();
      cmd.CommandText = "SELECT VERSION()";
      return cmd;
    }

    static void Main(string[] args) 
    {
      OdbcCommand cmd;

      Console.Out.WriteLine("Opening connection...");
      cmd = connect();
      cmd.ExecuteNonQuery();

      Console.Out.WriteLine("Ok.  Kill database or connection now, then press Enter.");
      Console.In.ReadLine();

      // Simulate a continuously running program that use only 1 connection=
      for (int i = 5; i > 0; i--) 
      {
        try 
        {
          if ((cmd.Connection.State | ConnectionState.Open) == ConnectionState.Open)
            Console.Out.WriteLine("Connection state '" + cmd.Connection.State + "' - executing query.");
          else 
          {
            Console.Out.WriteLine("Connection state '" + cmd.Connection.State + "', opening and executing query.");
            cmd = connect();
          }
          cmd.ExecuteNonQuery();
        } 
        catch (Exception e) 
        {
          Console.Out.WriteLine("Error: " + e.Message + "\n");
        }
      }
      Console.Out.WriteLine("\nDone - press Enter.");
      Console.In.ReadLine();
    }
  }
}
